API DocumentationAddresses
Edit an existing address
Creates a new address with the updated details, soft-deletes the old address, and transfers billing status if applicable
AuthorizationBearer <token>
In: header
Path Parameters
addressIdinteger
ID of the address to edit
Format
int64street1string
street2string
citystring
statestring
countrystring
jurisdictionIsoCode?string
zipstring
namestring
companystring
phonestring
emailstring
residentialboolean
Response Body
curl -X PUT "http://m-api-dev.phas.io/api/manufacturer/v1/address/1" \ -H "Content-Type: application/json" \ -d '{ "street1": "string", "street2": "string", "city": "string", "state": "string", "country": "string", "zip": "string", "name": "string", "company": "string", "phone": "string", "email": "string", "residential": true }'{
"addressId": 0,
"isBillingAddress": true,
"street1": "string",
"street2": "string",
"city": "string",
"state": "string",
"country": "string",
"countryAlpha2Code": "string",
"countryAlpha3Code": "string",
"jurisdictionIsoCode": "string",
"zip": "string",
"name": "string",
"company": "string",
"phone": "string",
"email": "string",
"residential": true,
"addressType": "string",
"isDeleted": true
}Empty